=== debian/changelog ===
debianutils (2.8.4.osso1) unstable; urgency=low

  * armel: s/DEB_HOST_GNU_SYSTEM/DEB_HOST_ARCH_OS/

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Wed, 24 May 2006 15:13:08 +0300
