## debianutils 2.11.2

=== debian/changelog ===
debianutils (2.11.2) unstable; urgency=low

  * configure.ac, debian/rules: derive version numbers from
    debian/changelog. 

 -- Clint Adams <schizo@debian.org>  Thu, 23 Dec 2004 15:34:30 -0500

debianutils (2.11.1) unstable; urgency=low

  * tempfile.1: remove note about requiring debianutils >= 1.6.
    closes: #286464.

 -- Clint Adams <schizo@debian.org>  Mon, 20 Dec 2004 16:58:50 -0500

debianutils (2.11.0) unstable; urgency=medium

  * run-parts.c, run-parts.8: also ignore .dpkg-{new,tmp} files
    when --lsbsysinit option is given.  closes: #285031.

 -- Clint Adams <schizo@debian.org>  Fri, 10 Dec 2004 12:03:38 -0500

debianutils (2.10.4) unstable; urgency=low

  * debian/rules: Cross build support.
    Do configure --host, on cross build.
    closes: #283725.

 -- NIIBE Yutaka <gniibe@fsij.org>  Wed,  1 Dec 2004 07:37:18 +0900

debianutils (2.10.3) unstable; urgency=low

  * mktemp.1: remove note about requiring debianutils >= 1.7.
    closes: #198778.

 -- Clint Adams <schizo@debian.org>  Sun, 17 Oct 2004 23:54:01 -0400

debianutils (2.10.2) unstable; urgency=low

  * installkernel: patch from Matthew Wilcox to handle systems
    with "vmlinux" instead of "vmlinuz".  closes: #272735.
  * mkboot: check for PALO.

 -- Clint Adams <schizo@debian.org>  Wed, 22 Sep 2004 16:00:50 -0400

debianutils (2.10.1) unstable; urgency=medium

  * sensible-pager: fix spacing problem.  closes: #272449.  

 -- Clint Adams <schizo@debian.org>  Mon, 20 Sep 2004 09:28:58 -0400

debianutils (2.10) unstable; urgency=low

  * sensible-editor, sensible-pager: rewrite in POSIX sh.
  * sensible-editor: fall back to $EDITOR in between $VISUAL and nano.
    closes: #238262.
  * mkboot.8: document SILO behavior introduced in 2.9.
  * mkboot, mkboot.8: add -d option to allow override of floppy device.
    closes: #247270.

 -- Clint Adams <schizo@debian.org>  Fri, 17 Sep 2004 20:44:01 -0400

debianutils (2.9) unstable; urgency=low

  * mkboot: apply patch from Martin Habets to check for SILO.
    closes: #271909.
  * Add prebuild target to debian/rules for arch-buildpackage.

 -- Clint Adams <schizo@debian.org>  Fri, 17 Sep 2004 19:46:12 -0400
