=== debian/rules ===
--- 
+++ 
@@ -9,12 +9,11 @@
 INSTALL_SCRIPT  = $(INSTALL) -p    -o root -g root  -m  755
 INSTALL_DIR     = $(INSTALL) -p -d -o root -g root  -m  755
 
-DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)
-ifeq ($(DEB_HOST_ARCH_OS),)
-  DEB_HOST_ARCH_OS := $(subst -gnu,,$(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM))
-  ifeq ($(DEB_HOST_ARCH_OS),gnu)
-    DEB_HOST_ARCH_OS := hurd
-  endif
+DEB_BUILD_GNU_SYSTEM ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_SYSTEM)
+DEB_BUILD_GNU_TYPE = $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_HOST_GNU_TYPE = $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
+CONFARGS = --host=$(DEB_HOST_GNU_TYPE)
 endif
           
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
@@ -29,7 +28,7 @@
 build:
 	$(checkdir)
 	CFLAGS="$(CFLAGS)" ./configure --prefix=/usr \
-		                       --mandir=/usr/share/man
+		                       --mandir=/usr/share/man $(CONFARGS)
 	$(MAKE)
 
 clean:
@@ -58,7 +57,7 @@
 	mv debian/tmp/usr/bin/run-parts \
 	   debian/tmp/usr/bin/tempfile \
 	   debian/tmp/usr/bin/mktemp debian/tmp/bin/
-ifeq ($(DEB_HOST_ARCH_OS),linux)
+ifeq ($(DEB_BUILD_GNU_SYSTEM),linux)
 	mv debian/tmp/usr/sbin/installkernel debian/tmp/sbin/
 else
 	rm debian/tmp/usr/sbin/installkernel \
@@ -93,7 +92,12 @@
 	$(checkdir)
 	test 0 = `id -u`
 
-.PHONY: binary binary-arch binary-indep clean checkroot build
+prebuild:
+	printf "define(DEBIANUTILS_VERSION, %s)\n" $$(dpkg-parsechangelog | sed -n '/^Version: \(.*\)$$/ {s//\1/;p}') >acinclude.m4
+
+	autoreconf -fi
+
+.PHONY: binary binary-arch binary-indep clean checkroot build prebuild
 
 # Local Variables:
 # mode:Makefile
