## debianutils 2.14.1-ubuntu2

=== debian/changelog ===
debianutils (2.14.1-ubuntu2) breezy; urgency=low

  * Revert changes from 2.14.1-ubuntu1; this version is equivalent to 2.14.1.
    run-parts was behaving as documented and #10979 is NOTABUG

 -- Matt Zimmerman <mdz@ubuntu.com>  Mon,  8 Aug 2005 09:10:06 -0700

debianutils (2.14.1-ubuntu1) breezy; urgency=low

  * Fix run-parts to take filenames with dots 
    (Debian #308911) (Ubuntu #10979)

 -- Charles Majola <charles@ubuntu.com>  Mon,  8 Aug 2005 12:56:15 +0200

debianutils (2.14.1) unstable; urgency=medium

  * Compensate for dpkg-architecture change breaking
    mkboot/installkernel.

 -- Clint Adams <schizo@debian.org>  Thu, 23 Jun 2005 08:18:10 -0400

debianutils (2.14) unstable; urgency=low

  * mkboot: prefer root device as specified on kernel command-line
    over output of rdev, thanks to Kerin Millar.  closes: #315303.

 -- Clint Adams <schizo@debian.org>  Tue, 21 Jun 2005 18:46:40 -0400

debianutils (2.13.2) unstable; urgency=low

  * Don't install which compatibility symlink on the Hurd.
    closes: #299075.

 -- Clint Adams <schizo@debian.org>  Sat, 26 Mar 2005 17:46:04 -0500

debianutils (2.13.1) unstable; urgency=medium

  * configure.ac, run-parts.c, tempfile.c: guard inclusion of getopt.h
  * savelog: patch from Alan Sundell to fix the fix in #295850.
    closes: #297225.

 -- Clint Adams <schizo@debian.org>  Sun, 27 Feb 2005 22:37:59 -0500

debianutils (2.13.0) unstable; urgency=medium

  * savelog: fix savelog -p, broken in the fix for #295021.
    closes: #295850.
  * run-parts.c: fix inconsistent error message "quoting".
    closes: #295621.

 -- Clint Adams <schizo@debian.org>  Fri, 18 Feb 2005 14:39:31 -0500

debianutils (2.12.1) unstable; urgency=medium

  * savelog: patch from Alan Sundell to fix rotation of files
    containing spaces.  closes: #295163.

 -- Clint Adams <schizo@debian.org>  Thu, 17 Feb 2005 21:23:05 -0500

debianutils (2.12.0) unstable; urgency=medium

  * savelog: patch from Alan Sundell to fix rotation of files
    starting with hyphens.  closes: #295021.
  * run-parts.c: fix a couple of errors which were mistakenly
    being sent to stdout instead of stderr, pointed out by
    Thomas Hood in #294789.
  * debian/rules: move which to /bin and leave a compatibility
    symlink in /usr/bin.  The symlink will be dropped at a
    later date.  closes: #295058.

 -- Clint Adams <schizo@debian.org>  Sun, 13 Feb 2005 10:01:09 -0500
