=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,7 @@
 INSTALL_SCRIPT  = $(INSTALL) -p    -o root -g root  -m  755
 INSTALL_DIR     = $(INSTALL) -p -d -o root -g root  -m  755
 
+DEB_BUILD_ARCH_OS ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH_OS)
 DEB_BUILD_GNU_SYSTEM ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_SYSTEM)
 DEB_BUILD_GNU_TYPE = $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 DEB_HOST_GNU_TYPE = $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
@@ -34,6 +35,7 @@
 clean:
 	$(checkdir)
 	-$(MAKE) clean
+	$(RM) -rf autom4te.cache
 	$(RM) -r debian/tmp* debian/files* debian/substvars debianutils*
 	find . -name '*~' -print0 | xargs -0 rm -f
 
@@ -56,8 +58,13 @@
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp INSTALL_PROGRAM="$(INSTALL_PROGRAM)"
 	mv debian/tmp/usr/bin/run-parts \
 	   debian/tmp/usr/bin/tempfile \
-	   debian/tmp/usr/bin/mktemp debian/tmp/bin/
-ifeq ($(DEB_BUILD_GNU_SYSTEM),linux)
+	   debian/tmp/usr/bin/mktemp \
+	   debian/tmp/usr/bin/which \
+	   debian/tmp/bin/
+ifneq ($(DEB_BUILD_GNU_SYSTEM),gnu)
+	ln -s /bin/which debian/tmp/usr/bin/which
+endif
+ifeq ($(DEB_BUILD_ARCH_OS),linux)
 	mv debian/tmp/usr/sbin/installkernel debian/tmp/sbin/
 else
 	rm debian/tmp/usr/sbin/installkernel \
