## debianutils 2.15.2

=== debian/changelog ===
debianutils (2.15.2) unstable; urgency=low

  * Start shipping and installing a starter /etc/shells.
    closes: #342855.

 -- Clint Adams <schizo@debian.org>  Sun, 11 Dec 2005 12:27:59 -0500

debianutils (2.15.1) unstable; urgency=low

  * tempfile.1: Fix "exist" manpage typo.  closes: #337000.
  * Update FSF address in the SMAIL GENERAL PUBLIC LICENSE
    in the copyright file.

 -- Clint Adams <schizo@debian.org>  Thu,  3 Nov 2005 20:19:55 -0500

debianutils (2.15) unstable; urgency=low

  * Add Replaces on passwd <= 1:4.0.12-6, since we are stealing
    add-shell and remove-shell.
  * Steal add-shell, remove-shell, add-shell.8, and remove-shell.8
    from passwd.
  * tempfile.1: typo correction from A Costa.  closes: #331056.
  * installkernel.8: typo correction from A Costa.  closes: #331057.
  * mkboot.8: typo correction from A Costa.  closes: #331058.
  * savelog.8: typo correction from A Costa.  closes: #331059.
  * po4a/debianutils.fr.po: typo correction from Nicolas François.
    closes: #331641.

 -- Clint Adams <schizo@debian.org>  Sat,  8 Oct 2005 16:31:27 -0400

debianutils (2.14.3) unstable; urgency=medium

  * Ship md5sums.  closes: #325633.
  * installkernel: call mkboot with more appropriate argument.
    closes: #311770.

 -- Clint Adams <schizo@debian.org>  Wed, 31 Aug 2005 12:33:58 -0400

debianutils (2.14.2) unstable; urgency=low

  * Bump to Standards-Version 3.6.2. 
  * Apply patch from Nicolas François to move French manpages
    to a po4a framework.  closes: #321768.

 -- Clint Adams <schizo@debian.org>  Sun,  7 Aug 2005 15:36:08 -0400
