=== debian/rules ===
--- 
+++ 
@@ -52,9 +52,11 @@
 		       debian/tmp/usr/sbin \
 		       debian/tmp/usr/share/man/man1 \
 		       debian/tmp/usr/share/man/man8 \
+		       debian/tmp/usr/share/man/fr/man1 \
 		       debian/tmp/usr/share/man/fr/man8 \
 		       debian/tmp/usr/lib/mime/packages \
-		       debian/tmp/usr/share/doc/$(package)
+		       debian/tmp/usr/share/doc/$(package) \
+		       debian/tmp/usr/share/$(package)
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp INSTALL_PROGRAM="$(INSTALL_PROGRAM)"
 	mv debian/tmp/usr/bin/run-parts \
 	   debian/tmp/usr/bin/tempfile \
@@ -74,17 +76,22 @@
 endif
 	ln -s sensible-editor.1.gz debian/tmp/usr/share/man/man1/sensible-pager.1.gz
 	ln -s sensible-editor.1.gz debian/tmp/usr/share/man/man1/sensible-browser.1.gz
+	ln -s sensible-editor.1.gz debian/tmp/usr/share/man/fr/man1/sensible-pager.1.gz
+	ln -s sensible-editor.1.gz debian/tmp/usr/share/man/fr/man1/sensible-browser.1.gz
+	$(INSTALL_FILE) debian/shells debian/tmp/usr/share/$(package)
 	$(INSTALL_FILE) debian/changelog debian/tmp/usr/share/doc/$(package)
 	find debian/tmp/usr/share/man/man[18] \
+	     debian/tmp/usr/share/man/fr/man[18] \
              debian/tmp/usr/share/doc/$(package) -type f | xargs gzip -9
-	gzip -9f debian/tmp/usr/share/man/fr/man1/which.1 \
-	         debian/tmp/usr/share/man/fr/man8/savelog.8
 	$(INSTALL_FILE) debian/copyright debian/tmp/usr/share/doc/$(package)
 	$(INSTALL_SCRIPT) debian/preinst debian/tmp/DEBIAN/
 	$(INSTALL_SCRIPT) debian/prerm debian/tmp/DEBIAN/
 	$(INSTALL_SCRIPT) debian/postinst debian/tmp/DEBIAN/
 	$(INSTALL_SCRIPT) debian/postrm debian/tmp/DEBIAN/
 	$(INSTALL_FILE) debian/mime debian/tmp/usr/lib/mime/packages/debianutils
+
+	cd debian/tmp && find * -type f ! -regex '^DEBIAN/.*' -print0 | xargs -r0 md5sum > DEBIAN/md5sums
+
 	dpkg-shlibdeps run-parts tempfile mktemp
 	dpkg-gencontrol -isp
 	dpkg --build debian/tmp ..
