## debianutils 2.16.2

=== debian/changelog ===
debianutils (2.16.2) unstable; urgency=low

  * sensible-editor: Patch from Wouter Verhelst to propagate exit
    status.  closes: #376079.

 -- Clint Adams <schizo@debian.org>  Fri, 30 Jun 2006 13:34:49 -0400

debianutils (2.16.1) unstable; urgency=low

  * Upgrade mktemp relationship to a Pre-Depends.
  * Bump Standards-Version to 3.7.2.

 -- Clint Adams <schizo@debian.org>  Thu, 18 May 2006 14:27:37 -0400

debianutils (2.16) unstable; urgency=low

  * Depend on mktemp. 
  * Stop shipping mktemp.
  * Bump Standards-Version to 3.7.0.

 -- Clint Adams <schizo@debian.org>  Sat, 29 Apr 2006 01:04:29 -0400

debianutils (2.15.7) unstable; urgency=medium

  * mkboot: fix from Markus Schoder to avoid choking when there
    are multiple proc mounts.  closes: #364341.

 -- Clint Adams <schizo@debian.org>  Sat, 22 Apr 2006 17:52:22 -0400

debianutils (2.15.6) unstable; urgency=low

  * mkboot: correct command given in unbootable warning.

 -- Clint Adams <schizo@debian.org>  Sat, 15 Apr 2006 17:45:06 -0400

debianutils (2.15.5) unstable; urgency=low

  * Add README.shells document which used to be in passwd.
    closes: #346108. 
  * Remove ash, bash, sash, and zsh from the default
    /etc/shells list.

 -- Clint Adams <schizo@debian.org>  Sat,  8 Apr 2006 18:09:41 -0400

debianutils (2.15.4) unstable; urgency=low

  * Strip .comment section from binaries. 
  * Update French man pages with portion of patch from Nicolas
    François.  closes: #346587.

 -- Clint Adams <schizo@debian.org>  Sun,  2 Apr 2006 21:36:32 -0400

debianutils (2.15.3) unstable; urgency=low

  * mkboot: grep for "proc " instead of "proc";
    fix from Robert Harris.

 -- Clint Adams <schizo@debian.org>  Tue, 28 Feb 2006 19:36:23 -0500
